classification
Title: Fix test discovery for test_bufio.py
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.4, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: brett.cannon, ezio.melotti, python-dev, zach.ware
Priority: normal Keywords: patch

Created on 2013-01-08 21:43 by zach.ware, last changed 2013-01-10 04:13 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
test_bufio_fix.diff zach.ware, 2013-01-08 21:43 test_bufio.py fix, version 1 review
test_bufio_fix.v2.diff zach.ware, 2013-01-09 15:53 Version 2 review
Messages (3)
msg179461 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2013-01-09 15:53
Version 2 replaces test_main() with unittest.main().
msg179518 - (view) Author: Roundup Robot (python-dev) Date: 2013-01-10 04:13
New changeset 09d4b690b504 by Ezio Melotti in branch '3.3':
#16898: test_bufio now works with unittest test discovery.  Patch by Zachary Ware.
http://hg.python.org/cpython/rev/09d4b690b504

New changeset 9a6e28350645 by Ezio Melotti in branch 'default':
#16898: merge with 3.3.
http://hg.python.org/cpython/rev/9a6e28350645
msg179519 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-01-10 04:13
Fixed, thanks for the patch!
History
Date User Action Args
2013-01-10 04:13:50ezio.melottisetstatus: open -> closed
resolution: fixed
messages: + msg179519
2013-01-10 04:13:01python-devsetnosy: + python-dev
messages: + msg179518
2013-01-09 15:53:33zach.waresetfiles: + test_bufio_fix.v2.diff

messages: + msg179461
2013-01-09 06:17:41ezio.melottisetassignee: ezio.melotti
stage: resolved
2013-01-08 21:43:35zach.warecreate